<template>
  <b-navbar
    class="align-items-center justify-content-center justify-content-md-end px-0"
  >
    <b-navbar-nav>
      <b-nav-item
        :href="$t('link.docs')"
        @click.prevent.stop="$root.$children[0].modal.docs = true"
      >
        <svg-icon
          :label="$t('menu.documentation')"
          :name="$t('svg.doc')"
          size="lg fw"
          sr-only
          variant="fc-m7 d-lg-none"
        />
        <span
          class="d-none d-lg-inline text-nowrap"
          v-html="$t('menu.documentation')"
        ></span>
      </b-nav-item>

      <b-nav-item :href="$t('link.colibri')">
        <svg-icon
          :label="$t('menu.forum')"
          :name="$t('svg.colibri')"
          size="lg fw"
          sr-only
          variant="fc-m7 d-lg-none"
        />
        <span
          class="d-none d-lg-inline text-nowrap"
          v-html="$t('menu.forum')"
        ></span>
      </b-nav-item>

      <b-nav-item
        routeur-tag="li"
        active-class="active"
        :to="`/${$t('lang')}/newsletter`"
      >
        <svg-icon
          :label="$t('newsletter.title')"
          :name="$t('svg.newsletter')"
          size="lg fw"
          sr-only
          variant="fc-m7 d-lg-none"
        />
        <span
          class="d-none d-lg-inline text-nowrap"
          v-html="$t('newsletter.title')"
        ></span>
      </b-nav-item>

      <b-nav-item
        routeur-tag="li"
        active-class="active"
        :to="`/${$t('lang')}/faq`"
      >
        <svg-icon
          :label="$t('faq.title')"
          :name="$t('svg.faq')"
          size="lg fw"
          sr-only
          variant="fc-m7 d-lg-none"
        />
        <span
          class="d-none d-lg-inline text-nowrap"
          v-html="$t('menu.faq')"
        ></span>
      </b-nav-item>

      <b-nav-item>
        <I18n />
      </b-nav-item>
    </b-navbar-nav>
  </b-navbar>
</template>

<script>
import I18n from 'vue-fs-commons/app/components/partials/I18n.vue';

export default {
  components: {
    I18n,
  },
};
</script>
